[问题]vi怎么没有.vimrc,也无法使用:syn on,我该怎么使用语法高亮功能?

为当前最终发行版之前的所有版本提供支持
回复
henry0712
帖子: 42
注册时间: 2007-03-30 0:31
送出感谢: 0
接收感谢: 0

[问题]vi怎么没有.vimrc,也无法使用:syn on,我该怎么使用语法高亮功能?

#1

帖子 henry0712 » 2007-09-09 21:54

我的vi版本:
VIM - Vi IMproved 7.0 (2006 May 7, compiled Mar 8 2007 21:34:51)
Included patches: 1-164

我找遍了机子,却找不到配置文件.vimrc

我想使用语法高亮,在vi下使用命令:
:syn on
提示:
E319: Sorry, the command is not available in this version.

怎样才能使用语法高亮功能? :?:
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#2

帖子 依寻依然 » 2007-09-09 22:08

Borders are meant to be crossed
头像
雄鸡起舞
帖子: 241
注册时间: 2007-07-24 22:23
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 雄鸡起舞 » 2007-09-09 22:53

apt-get install vim :D
Linux 2.6.25-ARCH #1 SMP PREEMPT Mon Jul 14 15:25:51 UTC 2008 i686 GenuineIntel GNU/Linux
henry0712
帖子: 42
注册时间: 2007-03-30 0:31
送出感谢: 0
接收感谢: 0

#4

帖子 henry0712 » 2007-09-09 23:45

还是没有解决。
1、/usr/share/vim/vimcurrent/目录下只有一个文件:debian.vim,拷贝到vim目录下vimrc,仍然不起作用。
2、把GUI界面下的终端字体设置成默认终端,shell下用ls有颜色了,vim还是没有语法高亮。
3、apt-get install也不行。
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#5

帖子 stlxv » 2007-09-10 0:05

我的给你吧

直接解压在“主文件夹”就行了
附件
vimrc.rar
(1.25 KiB) 下载 137 次
PHP是最好的语言!不服来战!
wsyngj
帖子: 108
注册时间: 2005-08-10 20:19
送出感谢: 0
接收感谢: 0

#6

帖子 wsyngj » 2007-09-10 8:18

图片

http://www.hyvv.org
我的UBUNTU7.10博客
henry0712
帖子: 42
注册时间: 2007-03-30 0:31
送出感谢: 0
接收感谢: 0

#7

帖子 henry0712 » 2007-10-21 6:48

问题还没有解决,我用了stlxv的.vimrc文件,运行vi显示如下错误。
我的vim的版本是7.0.164,我想根本的问题可能是,我的GNOME终端下这个版本不支持语法高亮?但是在这个终端中使用其他命令,可以显示彩色字符的,如ls命令等。
这是怎么回事啊?



henry@henrydesktop:~/h/w002_userID$ vi getuid.c
Error detected while processing /home/henry/.vimrc:
line 20:
E319: Sorry, the command is not available in this version: syntax on
line 49:
E538: No mouse support: mouse=a
Press ENTER or type command to continue
henry0712
帖子: 42
注册时间: 2007-03-30 0:31
送出感谢: 0
接收感谢: 0

#8

帖子 henry0712 » 2007-10-21 6:56

解决了!使用雄鸡起舞的办法,重新安装了vim。
thanks very much!

还是不太明白。
回复

回到 “老旧版本支持”